OTP::Layer::base_footer Struct Reference

The base_footer struct. More...

`#include <base.h>`

Inheritance diagram for OTP::Layer::base_footer:
[legend]

## Public Member Functions

size_t | streamSize () const override
| streamSize More...
void | iStream (PDU::Stream) override
| base_footer::iStream More...
void | oStream (PDU::Stream) const override
| base_footer::oStream More...
Public Member Functions inherited from ACN::PDU::pdu_stream_object
virtual void | iStream (Stream)=0
| fill structure data from input stream
virtual void | oStream (Stream) const =0
| write structure data to output stream

## Public Attributes

uint8_t | options
| options
uint8_t | length
| length
std::vector< uint8_t > | data
| binary data

## Detailed Description

The base_footer struct.

## Member Function Documentation

## iStream()

void OTP::Layer::base_footer::iStream | ( | PDU::Stream | stream | ) |

override

base_footer::iStream

Parameters

  stream |

Here is the caller graph for this function:

## oStream()

void OTP::Layer::base_footer::oStream | ( | PDU::Stream | stream | ) | const

override

base_footer::oStream

Parameters

  stream |

Here is the caller graph for this function:

## streamSize()

size_t OTP::Layer::base_footer::streamSize | ( |  | ) | const

inlineoverridevirtual

streamSize

Returns
  length (count of octets) on the wire

Implements ACN::PDU::pdu_stream_object.

Here is the caller graph for this function:

The documentation for this struct was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/otp/base.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/otp/base.cpp